All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
FilterThresholdAdaptiveBoxBorder
2D Fixed Linear Filters

Computes the average pixel values of the pixels under a square mask with border control. More...

## Functions

NppStatus | nppiFilterThresholdAdaptiveBoxBorder_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, Npp32f nDelta, Npp8u nValGT, Npp8u nValLE, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned threshold adaptive box filter with border control. More...
NppStatus | nppiFilterThresholdAdaptiveBoxBorder_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, Npp32f nDelta, Npp8u nValGT, Npp8u nValLE, NppiBorderType eBorderType)

## Detailed Description

Computes the average pixel values of the pixels under a square mask with border control.

If any portion of the mask overlaps the source image boundary the requested border type operation is applied to all mask pixels which fall outside of the source image. Once the neighborhood average around a source pixel is determined the souce pixel is compared to the average - nDelta and if the source pixel is greater than that average the corresponding destination pixel is set to nValGT, otherwise nValLE.

Currently only the NPP_BORDER_REPLICATE border type operation is supported.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSrcSize | Source image width and height in pixels relative to pSrc.
  oSrcOffset | The pixel offset that pSrc points to relative to the origin of the source image.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  oMaskSize | Width and Height of the neighborhood region for the local Avg operation, Width and Height must be equal and odd.
  nDelta | Neighborhood average adjustment value
  nValGT | Destination output value if source pixel is greater than average.
  nValLE | Destination output value if source pixel is less than or equal to average.
  eBorderType | The border type operation to be applied at source image border boundaries.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterThresholdAdaptiveBoxBorder_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32f | nDelta,
|  | Npp8u | nValGT,
|  | Npp8u | nValLE,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterThresholdAdaptiveBoxBorder_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32f | nDelta,
|  | Npp8u | nValGT,
|  | Npp8u | nValLE,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned threshold adaptive box filter with border control.

Copyright © 2009-2019 NVIDIA Corporation